Subject: bug#851: Takes several minutes to load 512k C header

From: martin rudalics <[email-masked]>
Date: Mon, 01 Sep 2008 19:30:03 +0200

> 	I try to load the attached file (when un-compressed). It's 512k of
 > text, but I have a fast multi-GHz machine with GBs of spare RAM etc. and
 > I can load 20+Mb .txt files in emacs just fine normally.
 >
 > 	Loading this generates several minutes of non-responsiveness.
 >
 > 	HTH,
 >
 > 		Michael.
 >
 > In GNU Emacs 22.2.1 (i586-suse-linux-gnu, GTK+ Version 2.12.9)
 >  of 2008-06-07 on nepomuk

It loads in a couple of seconds here.  Alan has tried to fix the
handling of header files as discussed in this thread

http://lists.gnu.org/archive/html/emacs-devel/2008-02/msg01613.html

on 2008-03-07.  Can you check whether that fix made it into your Emacs?

martin